Skip to content
Start here

Read submitted URLs by ID

client.BrandProtection.URLInfo(ctx, query) (*SinglePage[BrandProtectionURLInfoResponse], error)
GET/accounts/{account_id}/brand-protection/url-info

Return submitted URLs based on ID

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
query BrandProtectionURLInfoParams
AccountID param.Field[string]
minLength1
ReturnsExpand Collapse
type BrandProtectionURLInfoResponse map[string, unknown]

Read submitted URLs by ID

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/brand_protection"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.BrandProtection.URLInfo(context.TODO(), brand_protection.BrandProtectionURLInfoParams{
    AccountID: cloudflare.F("x"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "result": [
    {
      "foo": "bar"
    }
  ]
}
Returns Examples
{
  "result": [
    {
      "foo": "bar"
    }
  ]
}